<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=yes">
    <meta name="description" content="">
    <link rel="SHORTCUT ICON" href="../static/images/icon.ico">
    <link rel="icon" href="../static/images/icon32.png" sizes="32x32" />
    <link rel="icon" href="../static/images/icon48.png" sizes="48x48" />
    <!-- Android Add To Home Settings -->
    <link rel="manifest" href="../static/manifest.json">
    <link rel="icon" href="../static/images/icon192.png" sizes="192x192" type="image/png">
    <link rel="icon" href="../static/images/icon384.png" sizes="384x384" type="image/png">
    <meta id="theme-color" name="theme-color" content="#e7e7e7">
    <meta name="mobile-web-app-capable" content="yes">
    <!-- iOS Add To Home Settings -->
    <link rel="apple-touch-icon" href="../static/images/icon192.png">
    <link rel="apple-touch-startup-image" href="../static/images/ios_splash.png">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <title>Cryptocurrency Arbitrage Bot</title>

    <!-- Bootstrap Core CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="../static/css/main.css" rel="stylesheet">
    <!-- jQuery Version 1.12.2 -->
    <script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- toastr -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">

    <script src="../static/JavaScript/lendingbot.js"></script>
    <style>
        .hidden_section{
            display:none;
        }
    </style>
</head>

<body>
    <!-- Page Content -->
    <!-- <nav class="navbar navbar-default" style="height: 100px;padding-top: 20px;">
        <div class="container cryp_navbar">

            
            <div class="navbar-header" style="margin-left:8px">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                
                <div style="display:inline-block">
                    <h1 class="brand-margin" id="botTitle">Cryptocurrency arbitrage</h4>
                        
                </div>
            </div>

            
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav" style="margin-left:50px;">
                    <li data-toggle="collapse" data-target=".navbar-collapse.in" onClick="changeExchange()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#">
                            <span id="exchangeTitle" style="text-align: center">Dashboard</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" id="Chart" onClick="chart()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#">

                            <span id="exchangeTitle" style="text-align: center">Bot</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" id="signout" onClick="signOut()" style="text-align: center;width: 110px;border: 1px solid black;border-right-width:0px;">
                        <a href="#">
                            <span id="exchangeTitle" style="text-align: center">Live Stream</span>
                        </a>
                    </li>

                    <li data-toggle="collapse" data-target=".navbar-collapse.in" style="text-align: center;width: 110px;border: 1px solid black;">
                        <a href="#">
                            <span id="exchangeTitle" style="text-align: center">Setting</span>
                        </a>
                    </li>
                </ul>
                <div id="navbar_mode">
                    <span>Mode</span>
                    <span class="btn btn-success">Test</span>
                    <span>Bot running</span>
                    <span class="btn btn-warning">STOP</span>
                </div>
            </div>


        </div>
    </nav> -->
    <nav class="navbar">
        <div class="container-fluid">
            <div class="navbar-header">
                <h1 class="brand-margin" id="botTitle">Cryptocurrency arbitrage</h4>
            </div>

            <ul class="nav navbar-nav navbar-right" id="navbar_right">
                <li><span>Mode</span></li>
                <li><span class="btn btn-success" id="modeButton" onClick="changeMode()">Test</span></li>
                <li><span>Bot running</span></li>
                <li><span class="btn btn-warning" onClick="doStopBot()">STOP</span></li>
            </ul>

            <ul class="nav navbar-nav navbar-right" id="navbar_left">
                <li onClick="goToDashboard()">
                    <a href="#">
                        <span id="exchangeTitle" style="text-align: center">Dashboard</span>
                    </a>
                </li>

                <li>
                    <a href="#" >
                        <span id="exchangeTitle" style="text-align: center">Bot</span>
                    </a>
                </li>

                <li onClick="goToLiveStream()">
                    <a href="#" >
                        <span id="exchangeTitle" style="text-align: center">Live Stream</span>
                    </a>
                </li>

                <li style="border-right:1px solid black" class="active" onClick="goToSettings()">
                    <a href="#">
                        <span id="exchangeTitle" style="text-align: center">Setting</span>
                    </a>
                </li>
            </ul>

        </div>
    </nav>
    <div>
        <h5>Setting</h5>
    </div>
    <div class="" id="cryp_nav">
        <div class="row">

            <div class="tabs-left">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#a" data-toggle="tab"><span>Markets</span></a></li>
                    <li><a href="#b" data-toggle="tab"><span>Arbitrage</span></a></li>
                    <li><a href="#c" data-toggle="tab" style="border-bottom:1px solid black"><span>Bot</span></a></li>

                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="a" style="padding:0;padding-left: 20px;">
                        <div style="border:1px solid black;padding:50px;" class="marketplace_show">
                            <div style="display:flex;margin-bottom:20px">
                                <div style="flex:1">
                                    <h3>Markets</h3>
                                </div>
                                <div>
                                    <button style="align-self:center" id="add_new_market">+Add new market</button>
                                </div>
                            </div>
                            <div style="border:1px solid black;;margin-bottom:20px" class="market">
                                <div style="display:flex;padding:10px">
                                    <div style="flex:2">
                                        <input  class="market_name" type="text" placeholder="GDax" disabled>
                                    </div>
                                    <div style="flex:1">
                                        <h4>API End-point</h4>
                                    </div>
                                    <div style="display:flex" class="edit_market">
                                            <a href="#" style="align-self:center"><i class="glyphicon glyphicon-pencil" style="align-self:center" aria-hidden="true"></i></a>
                                    </div>
                                </div>
                                <div class="hidden_section">
                                    <div style="display:flex;padding:10px">
                                        <div style="flex:1">
                                            <h4>Transaction Fee
                                                <input id="feeGdax" style="width:100px" /></h4>
                                        </div>
                                        <div style="flex:1" class="API_section">
                                            <div>API Key</div><input id="keyGdax" type="text"><br>
                                            <div class="clear"></div>
                                            <div>API Secret</div><input id="secretGdax" type="password"> <br>
                                            <div class="clear"></div>
                                            <div>Pass</div><input id="passGdax" type="password">
                                        </div>
                                    </div>
                                    <div style="display:flex;padding:10px">
                                        <div style="flex:1">
                                            <h4 class="support_currency">What currency to support: 
                                                <span style="color:blue">
                                                    <span><input type="checkbox" id="ubGdax" name="sel_currency" value="ubtc"> USD/BTC</span>
                                                    <span><input type="checkbox" id = "ueGdax" name="sel_currency" value="ueth"> USD/ETH</span>
                                                    <span><input type="checkbox" id = "beGdax" name="sel_currency" value="beth"> BTC/ETH</span>
                                                    
                                                </span></h4>
                                        </div>
                                        <div>
                                            <button class="btn btn-success market_save" onClick="saveGdax()">Save</button>
                                            <button class="btn btn-danger market_cancel">Cancel</button>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>

                            <div style="border:1px solid black;;margin-bottom:20px" class="market">
                                    <div style="display:flex;padding:10px">
                                        <div style="flex:2">
                                            <input  class="market_name" type="text" placeholder="Gemini" disabled>
                                        </div>
                                        <div style="flex:1">
                                            <h4>API End-point</h4>
                                        </div>
                                        <div style="display:flex" class="edit_market">
                                                <a href="#" style="align-self:center"><i class="glyphicon glyphicon-pencil" style="align-self:center" aria-hidden="true"></i></a>
                                        </div>
                                    </div>
                                    <div class="hidden_section">
                                        <div style="display:flex;padding:10px">
                                            <div style="flex:1">
                                                <h4>Transaction Fee
                                                    <input id="feeGemini" style="width:100px" /></h4>
                                            </div>
                                            <div style="flex:1" class="API_section">
                                                <div>API Key</div><input id="keyGemini" type="text"><br>
                                                <div class="clear"></div>
                                                <div>API Secret</div><input id="secretGemini" type="password">
                                            </div>
                                        </div>
                                        <div style="display:flex;padding:10px">
                                            <div style="flex:1">
                                                <h4 class="support_currency">What currency to support: 
                                                    <span style="color:blue">
                                                        <span><input id="ubGemini" type="checkbox" name="sel_currency" value="ubtc"> USD/BTC</span>
                                                        <span><input id="ueGemini" type="checkbox" name="sel_currency" value="ueth"> USD/ETH</span>
                                                        <span><input id="beGemini" type="checkbox" name="sel_currency" value="beth"> BTC/ETH</span>
                                                        
                                                    </span></h4>
                                            </div>
                                            <div>
                                                <button class="btn btn-success market_save" onClick="saveGemini()">Save</button>
                                                <button class="btn btn-danger market_cancel">Cancel</button>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>

                                <div style="border:1px solid black;;margin-bottom:20px" class="market">
                                        <div style="display:flex;padding:10px">
                                            <div style="flex:2">
                                                <input  class="market_name" type="text" placeholder="Kraken" disabled>
                                            </div>
                                            <div style="flex:1">
                                                <h4>API End-point</h4>
                                            </div>
                                            <div style="display:flex" class="edit_market">
                                                    <a href="#" style="align-self:center"><i class="glyphicon glyphicon-pencil" style="align-self:center" aria-hidden="true"></i></a>
                                            </div>
                                        </div>
                                        <div class="hidden_section">
                                            <div style="display:flex;padding:10px">
                                                <div style="flex:1">
                                                    <h4>Transaction Fee
                                                        <input id="feeKraken" style="width:100px" /></h4>
                                                </div>
                                                <div style="flex:1" class="API_section">
                                                    <div>API Key</div><input id="keyKraken" type="text"><br>
                                                    <div class="clear"></div>
                                                    <div>API Secret</div><input id="secretKraken" type="password">
                                                </div>
                                            </div>
                                            <div style="display:flex;padding:10px">
                                                <div style="flex:1">
                                                    <h4 class="support_currency">What currency to support: 
                                                        <span style="color:blue">
                                                            <span><input id="ubKraken" type="checkbox" name="sel_currency" value="ubtc"> USD/BTC</span>
                                                            <span><input id="ueKraken" type="checkbox" name="sel_currency" value="ueth"> USD/ETH</span>
                                                            <span><input id="beKraken" type="checkbox" name="sel_currency" value="beth"> BTC/ETH</span>
                                                            
                                                        </span></h4>
                                                </div>
                                                <div>
                                                    <button class="btn btn-success market_save" onClick="saveKraken()">Save</button>
                                                    <button class="btn btn-danger market_cancel">Cancel</button>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                            
                            
                        </div>
                    </div>
                    <div class="tab-pane" id="b" style="padding:0;padding-left: 20px;">
                        <div style="border:1px solid black;padding:50px;">
                            <div style="display:flex;margin-bottom:20px">
                                <div style="flex:1">
                                    <h3>Arbitrage</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="c" style="padding:0;padding-left: 20px;">
                        <div style="border:1px solid black;padding:50px;">
                            <div style="display:flex;margin-bottom:20px">
                                <div style="flex:1">
                                    <h3>Bot</h3>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
                <!-- /tab-content -->

                <!-- /tabbable -->
            </div>
            <!-- /col -->
        </div>
        <!-- /row -->
    </div>
    <!-- /container -->

</body>

</html>